Bug 471984 (CVE-2008-5110) - CVE-2008-5110 syslog-ng improper chroot
Summary: CVE-2008-5110 syslog-ng improper chroot
Status: CLOSED ERRATA
Alias: CVE-2008-5110
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: impact=low,source=debian,reported=200...
Keywords: Security
Depends On: 471985 471986
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-18 01:24 UTC by Josh Bressers
Modified: 2009-01-09 09:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 09:04:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2008-11-18 01:24:12 UTC
syslog-ng does not call chdir before it calls chroot, which might
allow attackers to escape the intended jail. NOTE: this is only a
vulnerability when a separate vulnerability is present.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505791
http://www.openwall.com/lists/oss-security/2008/11/17/3

Comment 2 Fedora Update System 2008-12-03 04:11:56 UTC
syslog-ng-2.0.10-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/syslog-ng-2.0.10-1.fc8

Comment 3 Fedora Update System 2008-12-03 04:12:03 UTC
syslog-ng-2.0.10-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/syslog-ng-2.0.10-1.fc9

Comment 4 Fedora Update System 2008-12-03 04:12:10 UTC
syslog-ng-2.0.10-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/syslog-ng-2.0.10-1.fc10

Comment 5 Fedora Update System 2008-12-07 04:14:27 UTC
syslog-ng-2.0.10-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-12-07 04:29:09 UTC
syslog-ng-2.0.10-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-12-07 04:33:46 UTC
syslog-ng-2.0.10-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Red Hat Product Security 2009-01-09 09:04:50 UTC
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F10/FEDORA-2008-10879
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-10752


Note You need to log in before you can comment on or make changes to this bug.